Imports System.Diagnostics.CodeAnalysis

Namespace Microsoft.Naming

    ' この名前空間は CA1707:Namespace に違反しています。
    Namespace Violate_CA1707

        ' このデリゲートは CA1707:DelegateParameter に違反しています。
        Public Delegate Sub WriteHandler(ByVal target_Name As String)

        ' このクラスは CA1707:Type に違反しています。
        ' このクラスは CA1707:TypeTypeParameter に違反しています。
        Public Class Rule_1707(Of TValue_1)
            ' このメソッドは CA1707:Member に違反しています。
            ' このメソッドは CA1707:MemberParameter に違反しています。
            ' このメソッドは CA1707:MemberTypeParameter に違反しています。
            Public Sub Write_ComponentName(Of TValue_2)(ByVal component_Name As TValue_2)
                Console.WriteLine(component_Name)
            End Sub
        End Class

    End Namespace

End Namespace
